Commit fdcaa6a9 authored by Jakob Antonius Baatz's avatar Jakob Antonius Baatz
Browse files

ci before script

parent 8272ff01
Pipeline #4486 failed with stages
in 1 minute and 46 seconds
......@@ -5,6 +5,21 @@ stages:
- test
- deploy
before_script:
- conda update conda
- conda env create -f environment.yaml
- source activate myenv
- cd source
- npm config set strict-ssl false
- npm install -g typescript
- npm install -g sass
- npm install @types/d3 --prefix ts/
- ls beads/resources/ui/css/
- sass --no-source-map sass/gui.scss beads/resources/ui/css/gui.css
- ls beads/resources/ui/css/
- tsc -b ts/
deploy_staging:
stage: deploy
variables:
......@@ -13,7 +28,6 @@ deploy_staging:
script:
- pip install --user --upgrade setuptools wheel
- pip install -U twine
- cd source/
- python setup.py sdist bdist_wheel
- twine check dist/*
- twine upload --verbose --skip-existing --repository-url https://test.pypi.org/legacy/ dist/*
......@@ -28,8 +42,7 @@ deploy_production:
script:
- pip install --user --upgrade setuptools wheel
- pip install -U twine
- cd source/
- python source/setup.py sdist bdist_wheel
- python setup.py sdist bdist_wheel
- twine check dist/*
- twine upload --skip-existing dist/*
only:
......@@ -38,20 +51,6 @@ deploy_production:
unittests:
stage: test
script:
- conda env create -f environment.yaml
- source activate myenv
- nosetests source/tests/ -v --nocapture
- nosetests tests/ -v --nocapture
compile:
stage: build
script:
- conda update conda
- conda env create -f environment.yaml
- source activate myenv
- cd source
- npm config set strict-ssl false
- npm install -g typescript
- npm install -g sass
- npm install @types/d3 --prefix ts/
- sass sass/gui.scss beads/resources/ui/css/gui.css
- tsc -b ts/
from setuptools import find_packages, setup
from beads.meta import TOOL_NAME, VERSION
from os import path
this_directory = path.abspath(path.dirname(__file__))
with open(path.join(this_directory, 'README.md'), encoding='utf-8') as f:
long_description = f.read()
setup(
name=TOOL_NAME,
name='Beads',
long_description=long_description,
long_description_content_type='text/markdown',
version=VERSION,
version='0.0.2',
packages=find_packages(),
include_package_data=True,
install_requires=['click', 'eel'],
install_requires=['click', 'eel', 'markdown'],
entry_points={
'console_scripts': [
'beads = beads.main:beads'
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment